This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 356211 - Ensure local entities file takes precedence over global
Ensure local entities file takes precedence over global
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 02:40 EDT by David O'Brien
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 22:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2007-10-29 02:40:02 EDT
Description of problem:

Currently, an entity in Entities.ent takes precedence over a duplicate entity in
a local .ent file. We need the ability to override global entities.

How reproducible:
Always

Steps to Reproduce:
1.Add an entity to a local .ent file with the same name as an entity in one of
the global entity files.
2.Change the value of the local entity
3.Rebuild the book
  
Actual results:
book still displays value of global entity

Expected results:
Book should display value of local entity

Additional info:
I don't know which takes precedence over Entities.ent and
Translateable-entities.ent and nor do I know which should. *Probably*
Translateable but I'm open to suggestions
Comment 1 Jeff Fearn 2007-10-29 22:29:38 EDT
Changed order of ent files in xml file.

Fix will be in documentation-devel version 0.23

Note You need to log in before you can comment on or make changes to this bug.